//
//  DiscreteLightViewController.m
//  SmartLight
//
//  Created by Mike on 14/9/13.
//  Copyright (c) 2013 Mike. All rights reserved.
//

#import "DiscreteLightViewController.h"

@interface DiscreteLightViewController ()

@end

@implementation DiscreteLightViewController

-(KPDiscreteLightValue*)value {
  return &_value;
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
         self.setting->type = KPLightTypeDiscrete;
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(IBAction) changeWarm:(UISegmentedControl*)sender {
  self.value->warm = sender.selectedSegmentIndex;
}

-(IBAction) changeBright:(UISegmentedControl*)sender {
  self.value->bright = sender.selectedSegmentIndex;
}

-(IBAction) changeDynamic:(UISegmentedControl*)sender {
  self.value->dynamic = sender.selectedSegmentIndex;
}

-(void) update {
  self.isWarmSwitch.selectedSegmentIndex = self.value->warm;
  self.isBrightSwitch.selectedSegmentIndex = self.value->bright;
  self.isDynamicSwitch.selectedSegmentIndex = self.value->dynamic;
}

@end
