/*
 *  MenuConstants.h
 *  WakeApp
 *
 *  Created by mike on 02/05/2011.
 *  Copyright 2011 Mike Holenderski. All rights reserved.
 *
 */

#ifndef MENU_CONSTANTS_H
#define MENU_CONSTANTS_H

#ifndef DLog
  #define DLog NSLog
#endif

#define MENU_VOLUME_CELL_EN 0

#define MenuItemKind @"kind"
#define MenuItemKindMenu @"menu"
#define MenuItemKindButton @"button"
#define MenuItemKindSwitch @"switch"
#define MenuItemKindCombo @"combo"
#define MenuItemKindSlider @"slider"
#define MenuItemKindVolume @"volume"
#define MenuItemKindEntry @"entry"

#define MenuItemItems @"items"
#define MenuItemSections @"sections"
#define MenuItemTitle @"title"
#define MenuItemSelector @"selector"
#define MenuItemChangeSelector @"changeSelector"
#define MenuItemPlist @"plist"
#define MenuItemKey @"key"
#define MenuItemValue @"value"
#define MenuItemBackgroundColor @"backgroundColor"
#define MenuItemBounce @"bounce"
#define MenuItemUserDefaultName @"userDefaultName"
#define MenuItemSelected @"selected"
#define MenuItemFooter @"footer"
#define MenuItemUserDefault @"userDefault"

#define kMenuFontSize 18

#define kMenuViewWidth kWindowWidth

#define kMenuHeaderMarginTop 10
#define kMenuHeaderMarginBottom 5
#define kMenuHeaderLabelX 18
#define kMenuHeaderLabelWidth (kMenuViewWidth - 2*kMenuHeaderLabelX)
#define kMenuHeaderFontSize kMenuFontSize
#define kMenuHeaderTextColor [UIColor colorWithWhite:0.7 alpha:1]

#define kMenuFooterMarginTop 5
#define kMenuFooterLabelX 20
#define kMenuFooterLabelWidth (kMenuViewWidth - 2*kMenuFooterLabelX)
#define kMenuFooterFontSize 14

#define kMenuCellWidth 300
#define kMenuCellHeight 44

#define kMenuSliderX 10
#define kMenuSliderY 0
#define kMenuSliderWidth 280
#define kMenuSliderHeight 44

#endif /* MENU_CONSTANTS_H */
