//
//  MenuCell.m
//  iShaker
//
//  Created by mike on 07/01/2009.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "MenuDrillDownCell.h"
#import "MenuConstants.h"
#import "MenuViewController.h"

@implementation MenuDrillDownCell

@synthesize menu = _menu;
@synthesize menuClass = _menuClass;

-(void)dealloc {
  DLog(@"dealloc %@", [self class]);
  self.menu = nil;
  self.menuClass = nil;
  [super dealloc];
}

-(void) loadWithDictionary:(NSDictionary*)dictionary menu:(MenuViewController*)menu {
  [super loadWithDictionary:dictionary menu:menu];
  
  NSString* title = [MenuViewController stringForMenu:dictionary key:MenuItemTitle];
  [self setTitle:title];
    
  self.menu = dictionary;
  self.menuClass = [menu class];  
}

- (void)execute {
  MenuViewController* menuController = [[self.menuClass alloc] init];
  menuController.menu = self.menu; 
  [[MenuViewController navigationController] pushViewController:menuController animated:YES];
  [menuController release];
}

@end
