//
//  SwitchCell.m
//  iShaker
//
//  Created by mike on 07/01/2009.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#if MENU_VOLUME_CELL_EN > 0

#import "MenuVolumeCell.h"
#import "MenuConstants.h"

@implementation MenuVolumeCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
	self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
  if (self) {
    _slider = [[MPVolumeView alloc] initWithFrame:
                  CGRectMake(kMenuSliderX, kMenuSliderY, kMenuSliderWidth, kMenuSliderHeight)];
    [self.contentView addSubview:_slider];
    [_slider release];    
            
    self.selectionStyle = UITableViewCellSelectionStyleNone;
	}
	return self;
}

- (void)dealloc {
	[super dealloc];
}

-(void) loadWithDictionary:(NSDictionary*)dictionary menu:(MenuViewController*)menu {
  [super loadWithDictionary:dictionary menu:menu];
  
}

@end

#endif /* MENU_VOLUME_CELL_EN */