//
//  DiscreteLightViewController.h
//  SmartLight
//
//  Created by Mike on 14/9/13.
//  Copyright (c) 2013 Mike. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "LightViewController.h"

@interface DiscreteLightViewController : LightViewController {
  KPDiscreteLightValue _value;
}

@property (nonatomic, assign, readonly) KPDiscreteLightValue* value;
@property (nonatomic, assign) IBOutlet UISegmentedControl* isWarmSwitch;
@property (nonatomic, assign) IBOutlet UISegmentedControl* isBrightSwitch;
@property (nonatomic, assign) IBOutlet UISegmentedControl* isDynamicSwitch;

-(IBAction) changeWarm:(UISegmentedControl*)sender;
-(IBAction) changeBright:(UISegmentedControl*)sender;
-(IBAction) changeDynamic:(UISegmentedControl*)sender;

@end
