//
//  ButtonCell.h
//  iShaker
//
//  Created by mike on 05/01/2009.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MenuCell.h"

typedef enum {
  MenuButtonCellNormal,
  MenuButtonCellCombo
} MenuButtonCellType;

@interface MenuButtonCell : MenuCell {
  SEL actionSelector;
  id actionTarget;
  id changeTarget;
  SEL changeSelector;
  NSString* _userDefaultName;
}

@property (nonatomic, retain) id userDefaultName;

-(void) setTitle:(NSString*)newTitle;
-(void) setTarget:(id)target selector:(SEL)selector;
-(void) setTarget:(id)target changeSelector:(SEL)selector;
-(void) setUserDefault:(id)value;

-(void) execute;

@end
