//
//  ComboListViewController.h
//  iShaker
//
//  Created by mike on 02/02/2009.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MenuViewController.h"

@class MenuComboCell;

@interface MenuViewController(Combo)
+(NSString*) itemValue:(id)item;
+(NSString*) itemTitle:(id)item;
@end

@interface MenuComboListViewController : MenuViewController {
  MenuComboCell* _comboCell;
  NSArray* items;
  NSString* _userDefaultName;
  NSIndexPath* _selectedPath;
  SEL actionSelector;
  id actionTarget;
}

@property (nonatomic, retain) MenuComboCell* comboCell;
@property (nonatomic, retain) NSArray* items;
@property (nonatomic, retain) NSString* userDefaultName;
@property (nonatomic, retain) NSIndexPath* selectedPath;

-(void)setTarget:(id)target selector:(SEL)selector;

-(BOOL) isSelectedAtIndexPath:(NSIndexPath*)indexPath;

@end
