//
//  MenuEditCell.m
//  Donkey
//
//  Created by mike on 16/08/2011.
//  Copyright 2011 Mike Holenderski. All rights reserved.
//

#import "MenuEntryCell.h"
#import "MenuViewController.h"
#import "MenuConstants.h"

@implementation MenuEntryCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
	self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
  if (self) {
    self.textLabel.textAlignment = NSTextAlignmentLeft;

    _textField = [[[UITextField alloc] initWithFrame:CGRectMake(75.0, 11.0, 235.0, 22.0)] autorelease];
    _textField.font = [UIFont systemFontOfSize:16.0];
    _textField.textColor = [UIColor grayColor];
    _textField.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
    _textField.text = @"Fog";
    _textField.textAlignment = NSTextAlignmentRight;
    _textField.delegate = self;
    
    [self.contentView addSubview:_textField];
  }
  return self;
}

-(void) setValue:(id)value {
  [self setUserDefault:value];
  _textField.text = value;
}

-(BOOL) textFieldShouldReturn:(UITextField *)textField{
  [self setUserDefault:textField.text];
  [textField resignFirstResponder];
  return YES;
}

@end
