//
//  SwitchCell.h
//  iShaker
//
//  Created by mike on 07/01/2009.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MenuCell.h"


@interface MenuSwitchCell : MenuCell {
  UISwitch *switchObj;
  NSString* _userDefaultName;
  SEL actionSelector;
  id actionTarget;
}

@property (nonatomic, retain) NSString* userDefaultName;

- (void)setTitle:(NSString*)newTitle;
- (void)setTarget:(id)target selector:(SEL)selector;

@end
